Subject: [bug#28177] [PATCH 01/12] gnu: Add discount.

From: Christopher Baines <[email-masked]>
Date: Tue, 12 Sep 2017 21:57:23 +0100

On Sun, 10 Sep 2017 15:23:41 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > This is required by perl-text-markdown-discount, which is required
> > by ikiwiki.
> >
> > * gnu/packages/markdown.scm (discount) New variable.  
> 
> [...]
> 
> > +         (add-before 'configure 'set_ac_default_path
> > +           (lambda args
> > +             (substitute* "configure.inc"
> > +               (("ac_default_path=\".*\"")
> > +                (string-append "ac_default_path=\"" (getenv
> > "PATH") "\"")))
> > +             #t)))))  
> 
> Did you check the references of the resulting store item?  It seems to
> me that we might end up referring too much if this value is recorded
> in the binary (GCC, Binutils, Make, etc.).
> 
> Perhaps we should instead set it to a very specific list, say
> coreutils, grep, sed, or whatever is expected?

The store item references look fine, I think this is just the path the
configure.inc script searches. In looking at this again, I discovered
that setting the AC_PATH environment variable has the same effect, so
I've updated the patch to do that, as well as adding a comment to
clarify that these are used at build time only.